/* Next doesn't support loading these selectors. */
:root {
  --highlight-yellow-color: oklch(0.667 0.295 322.15);

  /* Read aloud word configuration. */
  --read-aloud-highlight-word-bg-color: #075985;
  --read-aloud-highlight-word-color: #f8fafc;

  /* Read aloud sentence configuration. */
  --read-aloud-highlight-sentence-bg-color: #082f49;
  --read-aloud-highlight-sentence-color: #f8fafc;
}

::highlight(search-results) {
  background: var(--text-highlight-background-search);
  color: var(--text-highlight-foreground-search);
}

::highlight(read-aloud-sentence) {
  background: var(--read-aloud-highlight-sentence-bg-color);
  color: var(--read-aloud-highlight-sentence-color);
}

::highlight(read-aloud-word) {
  background: var(--read-aloud-highlight-word-bg-color);
  color: var(--read-aloud-highlight-word-color);
}
